gtkmm: Gtk::AssistantPage Class Reference

gtkmm 4.2.0

Public Types | Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::AssistantPage Class Reference

Holds properties of a Gtk::Assistant page. More...

`#include <gtkmm/assistantpage.h>`

Inheritance diagram for Gtk::AssistantPage:
[legend]

## Public Types
enum class | Type { CONTENT , INTRO , CONFIRM , SUMMARY , PROGRESS , CUSTOM }
| Determines the page role inside a `GtkAssistant`. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)

## Public Member Functions
| AssistantPage (AssistantPage&& src) noexcept
AssistantPage& | operator= (AssistantPage&& src) noexcept
| ~AssistantPage () noexcept override
GtkAssistantPage* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkAssistantPage* | gobj () const
| Provides access to the underlying C GObject. More...
GtkAssistantPage* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Widget* | get_child ()
| Returns the child to which page belongs. More...
const Widget* | get_child () const
| Returns the child to which page belongs. More...
Glib::PropertyProxy< Type > | property_page_type ()
| The type of the assistant page. More...
Glib::PropertyProxy_ReadOnly< Type > | property_page_type () const
| The type of the assistant page. More...
Glib::PropertyProxy< Glib::ustring > | property_title ()
| The title of the page. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| The title of the page. More...
Glib::PropertyProxy< bool > | property_complete ()
| Whether all required fields are filled in. More...
Glib::PropertyProxy_ReadOnly< bool > | property_complete () const
| Whether all required fields are filled in. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_child () const
| The child widget. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::AssistantPage > | wrap (GtkAssistantPage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Holds properties of a Gtk::Assistant page.

Use Gtk::Assistant::get_page() to get a pointer to an AssistantPage object.

See also
  Assistant

Since gtkmm 3.96:

## Constructor & Destructor Documentation

## ◆ AssistantPage()

Gtk::AssistantPage::AssistantPage | ( | AssistantPage&& | src | ) |
| noexcept

## ◆ ~AssistantPage()

Gtk::AssistantPage::~AssistantPage | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_child() [1/2]

Widget* Gtk::AssistantPage::get_child | ( |  | ) |

Returns the child to which page belongs.

Returns
  The child to which page belongs.

## ◆ get_child() [2/2]

const Widget* Gtk::AssistantPage::get_child | ( |  | ) | const

Returns the child to which page belongs.

Returns
  The child to which page belongs.

## ◆ get_type()

static GType Gtk::AssistantPage::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkAssistantPage* Gtk::AssistantPage::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkAssistantPage* Gtk::AssistantPage::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkAssistantPage* Gtk::AssistantPage::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

AssistantPage& Gtk::AssistantPage::operator= | ( | AssistantPage&& | src | ) |
| noexcept

## ◆ property_child()

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::AssistantPage::property_child | ( |  | ) | const

The child widget.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_complete() [1/2]

Glib::PropertyProxy< bool > Gtk::AssistantPage::property_complete | ( |  | ) |

Whether all required fields are filled in.

GTK uses this information to control the sensitivity of the navigation buttons.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_complete() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::AssistantPage::property_complete | ( |  | ) | const

Whether all required fields are filled in.

GTK uses this information to control the sensitivity of the navigation buttons.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_page_type() [1/2]

Glib::PropertyProxy< Type > Gtk::AssistantPage::property_page_type | ( |  | ) |

The type of the assistant page.

Default value: Gtk::AssistantPage::Type::CONTENT

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_page_type() [2/2]

Glib::PropertyProxy_ReadOnly< Type > Gtk::AssistantPage::property_page_type | ( |  | ) | const

The type of the assistant page.

Default value: Gtk::AssistantPage::Type::CONTENT

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_title() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AssistantPage::property_title | ( |  | ) |

The title of the page.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_title() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AssistantPage::property_title | ( |  | ) | const

The title of the page.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::AssistantPage > wrap | ( | GtkAssistantPage * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.